import { IDTOMapper } from './IDTOMapper';
import { RemoteMessageDTO } from '../../../dto/message/RemoteMessageDTO';
import ChatMessageAttachmentEntity from '../../../../Domain/entity/ChatMessageAttachmentEntity';
export declare class MessageDTOMapper implements IDTOMapper {
    fromDTO<TArg, TResult>(dto: TArg): Promise<TResult>;
    static transformAttachment(qbMessage: string, qbAtts: ChatMessageAttachment[]): ChatMessageAttachmentEntity[];
    toTDO<TArg, TResult>(entity: TArg): Promise<TResult>;
    private QBChatMessageToRemoteMessageDTO;
    static convertAttachment(attachment: ChatMessageAttachmentEntity): ChatMessageAttachment;
    static convertToQBChatNewMessage(messages: RemoteMessageDTO[]): QBChatMessage[];
    static translateOriginalDataToJSON(qb_original_message?: QBChatMessage[]): string;
    static translateJSONToOriginalData(json_data?: string): QBChatMessage[] | undefined;
    static formatMessage(qbMessage: string): string;
    private static getMessageParts;
    private static validateDTO;
    private static validateQBMessage;
}
