import BaseViewModel, { FunctionTypeFileToToBoolean, FunctionTypeForwardMessagesParamsToBoolean, FunctionTypePaginationToVoid, FunctionTypeReplyMessagesParamsToBoolean, FunctionTypeStringToVoid, FunctionTypeVoidToVoid } from '../../../CommonTypes/BaseViewModel';
import { MessageEntity } from '../../../Domain/entity/MessageEntity';
import { DialogEntity } from '../../../Domain/entity/DialogEntity';
export interface DialogViewModel extends BaseViewModel<DialogEntity> {
    loading: boolean;
    error: string;
    messages: MessageEntity[];
    getMessages: FunctionTypePaginationToVoid;
    sendTextMessage: FunctionTypeStringToVoid;
    sendAttachmentMessage: FunctionTypeFileToToBoolean;
    sendForwardedMessages: FunctionTypeForwardMessagesParamsToBoolean;
    sendReplyMessages: FunctionTypeReplyMessagesParamsToBoolean;
    release: FunctionTypeVoidToVoid;
    sendTypingTextMessage: FunctionTypeVoidToVoid;
    typingText: string;
}
