import React from 'react';
import './IncomingRepliedMessage.scss';
import UiKitTheme from '../../../../themes/UiKitTheme';
import { MessageEntity } from '../../../../../Domain/entity/MessageEntity';
import { FunctionTypeMessageEntityToVoid } from '../../../../../CommonTypes/BaseViewModel';
import { AIMessageWidget } from '../../AIWidgets/AIMessageWidget';
import { AvatarContentIncomingUserProps } from '../IncomingMessage/AvatarContentIncomingUser/AvatarContentIncomingUser';
declare function IncomingRepliedMessage(props: {
    theme: UiKitTheme | undefined;
    messages: MessageEntity[];
    date_sent?: string;
    userIconRenderer?: (props: AvatarContentIncomingUserProps) => React.ReactElement;
    onReply: FunctionTypeMessageEntityToVoid;
    onForward: FunctionTypeMessageEntityToVoid;
    repliedUserName: string;
    renderOringinalMessage: React.ReactNode;
    AITranslation?: AIMessageWidget;
    AIAnswerToMessage?: AIMessageWidget;
    onStartLoader: () => void;
    onStopLoader: () => void;
    onErrorToast: (messageError: string) => void;
    currentUserId?: number;
    messagesToView: MessageEntity[];
    enableForwarding: boolean;
    enableReplying: boolean;
}): JSX.Element;
export default IncomingRepliedMessage;
