import React from 'react';
import { FunctionTypeBooleanToVoid, FunctionTypeMessageEntityToVoid, FunctionTypeStringToVoid } from '../../../../CommonTypes/BaseViewModel';
import { MessageEntity } from '../../../../Domain/entity/MessageEntity';
import UiKitTheme from '../../../themes/UiKitTheme';
import { AIMessageWidget } from '../AIWidgets/AIMessageWidget';
type MessageProps = {
    message: MessageEntity;
    userId: number;
    setWaitAIWidget: FunctionTypeBooleanToVoid;
    setShowErrorToast: FunctionTypeBooleanToVoid;
    setMessageErrorToast: FunctionTypeStringToVoid;
    messagesToView: MessageEntity[];
    AITranslateWidget: AIMessageWidget;
    AIAssistWidget: AIMessageWidget;
    onReply: FunctionTypeMessageEntityToVoid;
    onForward: FunctionTypeMessageEntityToVoid;
    theme?: UiKitTheme;
    enableForwarding: boolean;
    enableReplying: boolean;
};
declare const Message: React.FC<MessageProps>;
export default Message;
