import React from 'react';
import './DialogList.scss';
import { FunctionTypeViewModelToVoid } from '../../../CommonTypes/BaseViewModel';
import { ThemeNames } from '../PreviewDialog/PreviewDialog';
import { DialogListViewModel } from './DialogListViewModel';
import { DialogEntity } from '../../../Domain/entity/DialogEntity';
import UiKitTheme from '../../themes/UiKitTheme';
type DialogsComponentSettings = {
    themeName?: ThemeNames;
    withoutHeader?: boolean;
    useSubHeader?: boolean;
    useUpHeader?: boolean;
    themeHeader?: UiKitTheme;
    themePreview?: UiKitTheme;
};
type DialogsProps = {
    header?: React.ReactNode;
    subHeaderContent?: React.ReactNode;
    upHeaderContent?: React.ReactNode;
    onDialogSelectHandler?: FunctionTypeViewModelToVoid<DialogEntity>;
    dialogsViewModel: DialogListViewModel;
    additionalSettings?: DialogsComponentSettings;
};
declare const DialogList: React.FC<DialogsProps>;
export default DialogList;
